Main Features

  1. Easy to configure. Win2000/WinXP/Win2003 compatible.
  2. Supports Internet access via Modem, ISDN, ADSL and DDN etc.
  3. Support of proxy protocols: HTTP, FTP, Gopher, SOCKS4/5, Telnet, Secure (HTTPS), News (NNTP), RTSP and MMS.
  4. Enable IE, Netscape to access Internet through HTTP/Secure/FTP (Web)/Gopher.
  5. Supports clients sending and receiving mails via client applications such as Outlook, Eudora etc.
  6. Supports ICQ, Yahoo Messenger, MSN Messenger and iMRC connecting to the Internet via SOCKS5 proxy.
  7. Supports CuteFTP, CuteFTP Pro, and WS-FTP accessing Internet via SOCKS5 proxy.
  8. Support for Real Player and Media Player receiving media stream via MMS proxy and RTSP proxy respectively.
  9. Supports NetTerm accessing Internet via Telnet proxy.
  10. Supports Outlook connecting to News server via News proxy.
  11. Supports Remote Dial, Dial On Demand and Auto Disconnect.
  12. Cascading proxy enables proxy server to access Internet via other proxy server.
  13. Enables real-time observation of users' connections.
  14. Easy-to-use account manager controls clients' Internet access.
  15. IP range management and auto scan of account manager make account setting process very convenient.
  16. Supports three types of account authentication: IP address, MAC address and User password.
  17. Supports authentication of Web and SOCKS5.
  18. Built-in DNS can resolve domain names.
  19. Time schedule freely controls all users' on-line time.
  20. Web filter can ban specific web sites, URL or contents.
  21. Web caching enhances browsing speed. The size and refresh time of cache can be freely changed to meet your need.
  22. Bandwidth control flexibly manages the traffic condition of clients.
  23. Supports NT service.

Buy Now


Installation


Requirements

1) Download the latest version of CCProxy from our site.
2) Find a computer able to perform stably as a server. The OS can be Win2000/XP/2003, we recommend Windows 2000.
3) Make sure you have correctly installed network connection equipment and the connection between server and clients works well.
4) To avoid conflict, you need to temporarily stop firewall, anti virus and other proxy software before installation.


How to install

You only need to install CCProxy on the server.

1. Run the latest version installation program on the server.
2. After installation, CCProxy will initially execute with the default settings. The default settings are enough to realize the basic functions of Internet sharing.

Continue by configuring clients with the aid of "Client Proxy Configuration". Your clients will then be able to can access the Internet via CCProxy.


Default proxy ports

HTTP: 808
FTP (Web): 808
FTP: 2121
Gopher: 808
Secure/SSL/HTTPS/RTSP: 808
SOCKS/MMS: 1080
News (NNTP): 119
SMTP: 25
POP3: 110
Telnet: 23


Startup failed

If there is some other programs are using the same ports as CCProxy, CCProxy will report proxy service startup failed. CCProxy also report which program is using the same port and stop this program with your confirmation.


Client Proxy Configuration

We have prepared a graphic guide on our site, which includes ways to set proxy settings using some of the most popular client software.


Requirements

1. Make sure clients are connected to the server and they have access to each other.
2. Find the proxy server address. This refers to the IP address of the server that installs CCProxy. This address is the local IP address of the server on the LAN.


IE (Internet Explorer)

Launch IE -> menu "Tools" -> "Internet Options" -> "Connections" -> "LAN settings" -> choose "use a proxy server" -> "advanced" -> "servers" -> add" server address" to "HTTP", "Secure", "FTP", "Gopher", Port is 808; add "server address" to "Socks", Port is 1080.


Firefox

"Tools" -> "Options" -> "General" -> "Connections Settings":
Select "Manual proxy configuration", SOCKS Host:192.168.0.1, Port:1080 and select "SOCKS v5". The other editboxes leave blank.


Outlook Express for free mail

Suppose email address is support@youngzsoft.com.
Mailbox account: support
Password: ***********
SMTP address: smtp.youngzsoft.com
POP3 address: pop3.youngzsoft.com
Proxy server address: 192.168.0.1

Launch Outlook Express.
Menu "Tools"--> "Accounts"--> "Mail" Tab

Select account and click button" Properties". The general info should be shown as below:

Go to "Server" tab. The info should be shown as below.

Pay attention to the account name of "Incoming Mail Server".

Click button "Settings".

If your original mail server requires authentication when sending emails, you need to configure as below.
Pay attention to the account name. It is "support#smtp.youngzsoft.com" here.

If your original mail server doesn't require authentication when sending emails, then configure as below.
Pay attention to the account name. It is "#smtp.youngzsoft.com" here.


Outlook Express for company mail

Suppose email address is support@youngzsoft.com.
Mailbox account: support@youngzsoft.com
Password: ***********
SMTP address: smtp.youngzsoft.com
POP3 address: pop3.youngzsoft.com
Proxy server address: 192.168.0.1

Launch Outlook Express.
Menu "Tools"--> "Accounts"--> "Mail" Tab

Select account and click button" Properties". The general info should be shown as below:

Go to "Server" tab. Configure as below.
Pay attention to account name. It should be "support@youngzsoft.com#pop3.youngzsoft.com" here.

Pay attention to the account name of "Incoming Mail Server".

Click button "Settings".

If your original mail server requires authentication when sending emails, you need to configure as below.
Pay attention to the account name. It should be "support@youngzsoft.com#smtp.youngzsoft.com" here.

If your original mail server doesn't require authentication when sending emails, then configure as below.
Pay attention to the account name. It is "#smtp.youngzsoft.com" here.


Outlook Express for Gmail

CCProxy-> "Options" -> "Port Map", click the "E" button and add two port map rules:
1) Dest Host: smtp.gmail.com, Dest Port: 465, Type: TCP, Local Port: 465.
2) Dest Host: pop.gmail.com, Dest Port: 995, Type: TCP, Local Port: 995.

In Outlook Express account property, set smtp and pop3 server address as the proxy address (i.e. 192.168.0.1).


Office Outlook

Suppose your mail account information is -

login user name(account):aaa
login password:bbb
pop3 server address(incoming server address):ccc
smtp server address(outcoming server address):ddd
smtp login user name:eee (sometimes same as pop3 login user name)
smtp login password:fff (sometimes same as pop3 login password)

Suppose your proxy address is 192.168.0.1

You need to change your mail account information in your Outlook as:

login user name(account):aaa#ccc
login password:bbb
pop3 server address(incoming server address):192.168.0.1
smtp server address(outcoming server address):192.168.0.1
smtp login user name:eee#ddd
smtp login password:fff

Notes: if you are using office 2002 or office XP, you need install office sp1 first.


Outlook Express for News (NNTP)

Choose the configured News server in Outlook Express and right click menu-> Properties-> Server.
Suppose the original server name is "msnews.microsoft.com". You need to change the server name to the proxy server's address. Choose "This server requests to log on". Fill in "#msnews.microsoft.com" in account. Leave "Password" blank. Check "Remember Password".

Note: If the News server you log onto isn't free of charge, then the account number and password are needed. Your account name should be revised to "old account name#original News server address".


CuteFTP

Menu "Edit"-> "Settings"-> "Connection"-> In "Firewall" tab: fill in proxy server address after "Host". Port is 2121. Choose "USER user@site" in "Type". Check "Enable firewall access".


CuteFtp Pro

Open menu "Edit"-> "Global Settings"-> "Connection"-> "SOCKS4 & 5"
Choose "Use the highlighted Socks server when connecting"; click button "Add", delete "<New>" in Host, fill in proxy server address. Port is 1080.
Don't choose "Use Authentication". Choose "Socks5".


ICQ

Launch ICQ-> Menu "Main"-> Preferences -> "Connection":
Select "Use Firewall" in "Server" tab. Select "Socks5" in "Proxy" tab.
"Firewall": Select "Socks5". Fill proxy address in "Host", "Port" is 1080. Select "use proxy to resolve hostnames".


MSN Messenger

Menu "Tool" -> "Options" -> In "Connection" tab, check "I use proxy server", choose SOCKS 5 in type, fill local proxy servers IP address in "Server". Port is 1080.


Voice/video chat software

You need to install SocksCap32 at client, add voice chat software into SocksCap32 and launch it from SocksCap32.
For specific guide, please refer to http://www.youngzsoft.net/sockscap/. Currently CCProxy cannot support MSN and Yahoo voice/video chat. If you want to use voice/video chat, we suggest you use skype. In skype, the Internet Explorer proxy settings are used.


NetMeeting

As NetMeeting doesn't support proxy setting, SocksCap is needed. For a specific user guide, please refer to http://www.youngzsoft.net/sockscap/ .


Real Player

Take RealPlayer 8.0 for example:

Proxy server address is 192.168.0.1.
RealPlayer port is 808.

Step1: Menu "View"-->"Preferences"-->"Transport"
Choose "Use specified transports"
Note: Don't choose "Use specific UDP port(s)".

(Figure-1)

Step 2: Click "RTSP Settings". Check all the three choices under "Use TCP to Connect to Server".

(Figure-2)

Step3": Choose "PNA Settings" in Figure-1. Check choice "Use HTTP Only".

(Figure-3)

Step4: Menu "View"-->"Preferences"-->"Proxy"
Check "Use RTSP proxy". Fill 192.168.0.1 in the first blank. Port is 808.
Check "Manually configure HTTP proxy" Fill 192.168.0.1 in the first blank. Port is 808.
Note: Don't choose "Use PNA proxy".

(Figure-4)


Windows Media Player

CCProxy only supports Media Player 7.0 or above.

Local Proxy Server address: 192.168.0.1.
Proxy port for MediaPlayer: 1080
Proxy port for HTTP: 808

Menu "Tools"--> "Options"--> "Network"

(Figure-1)

As it is shown in above figure, in Proxy Settings box, move cursor to HTTP, click button "Configure".
Change settings to the way shown in figure-2.

(Figure-2)

Move cursor to "MMS", click button "configure", and change the settings to the way shown in figure-3.

(Figure-3)

Note: The ports for HTTP and MMS in figure-2 and figure-3 are different. The port for HTTP is 808, while the port for MMS is 1080.


NetTerm for BBS telnet

Open menu "File"-> "Phone Directory".
Choose the BBS in the list you want to log on. E.g. bbs.execpc.com.
Follow info will be shown: Host Name is bbs.execpc.com; No entry in Host/IP and telnet port is 23. Fill in proxy server address in Host/IP. Click button "Connect". Follow info will be showed on blue screen: CCProxy Telnet>CCProxy...
Input "open bbs.execpc.com", click "Enter" key. Now you can log on bbs.execpc.com.


Java application for Game/Chat room

First of all, you need to install Sun JRE (Java Runtime Environment). You can download it free at http://www.java.com.

After installation,
1. Go to Control Panel
2. Double click the "Java Plug-in" icon
3. Click the "Proxies" Tab

4. Make sure that the "Use Browser Settings" checkbox is checked. If it is not, then check it and hit the "Apply" button to save your changes. Doing this will cause the JRE to use the Web browser's proxy settings for all Internet connections.
5. Close all browser windows. Restart the browser and try to load the applet.


Norton AntiVirus for live update

First, set HTTP proxy in IE. Open Live Update in Norton AntiVirus.
Popup "Live Update" dialog box and click button "Configure".
Popup dialog box "Live Update Configuration".
In "ISP" tab, check "the Internet Options in Control Panel".
In "Proxy" tab, check "I want to use my Internet Explorer Proxy Settings".


AVG update

Suppose proxy address is 192.168.0.1.
AVG -> Update Manager -> Settings -> Proxy -> User proxy server, Server: 192.168.0.1, Port 808.


Windows XP update

Suppose proxy address is 192.168.0.1 and http port is 808.
1. Click Start, click Run, type cmd, and then click OK.
2. At the command prompt, type proxycfg -p 192.168.0.1:808, and then press ENTER. (Or type proxycfg -u, and then press ENTER)


Other software

If the software has the proxy option (generally in network settings or system settings) for proxy configuration, you can configure the proxy according to the relative protocols and ports. Generally you can use SOCKS proxy settings (port is 1080) or HTTP proxy settings (port is 808). Also you can search proxy settings in google. For example, you can search "skype proxy settings" to find out how to set up proxy for skype.
Otherwise, you will need to install SocksCap32, software from NEC on the client and add this software to SocksCap32.
For specific guide, please refer to http://www.youngzsoft.net/sockscap/


Account Management


Account Manager

Account manager of CCProxy includes three parts: "Permitted Category", "Auth Type" and "Account Configuration".

Permitted Category
There are three choices under this category.
"Permit All" is default status. Account manager is ineffective when choose this category.
"Permit Only" means only those users added to user list or group can access Internet.
"Permit but" means the users added to the user list cannot access Internet, and all others are permitted.

Auth Type
There are three choices.
"IP Address" means using IP address to verify user.
"MAC Address" means using MAC Address to verify user.
"User/Password" means using user name or password to verify user.
"User/Password + IP Address" means using user name, Password and IP address to verify user.
"User/Password + MAC address" means using user name, password and MAC address to verify user.
"IP + MAC" means using IP address and MAC address to verify user.

Account Operation
"New": set up a new account.
"Edit": revise account here.
"Delete": you can delete one or more account here.
"Auto Scan": this function is designed for the administrator's convenience when initializing account info. When administrators first set up an account, they can turn on all the clients, and then click "Auto Scan". The IP address, MAC address and computer name of all the clients in LAN can be caught automatically.
"NT User(AD) Auth": if you check this option, CCProxy will import local system account or Active Directory account to CCProxy. The clients can use the windows account and password of the server to access CCProxy. It's very useful if your server has built client login account list in windows system.


Account Configuration

"User/Group Name": used to label different account.
"IP Address/IP Range": can be a single IP or IP range. E.g. 192.168.0.1 and 192.168.0.1-192.168.0.10 are valid in this column. When you want to set an IP range, the account in this case is actually a group. This means users within this IP range all belong to this account.
"MAC Address": refer to the client's MAC address.
"As Group": means this account has been defined as a group. If the group properties are changed, all members belong to this group will also be changed.
"Belongs to Group": you can select a group from the group list and use the group properties as this account's properties.
"Maximum Connections": refers to the maximum simultaneous client connections.
"Bandwidth For Each Connection": refers to the maximum bandwidth of each connection.
"Services": choose the services permitted service or this account.
"Time Schedule": you can choose a defined time schedule here.
"Web Filter": you can choose a defined web filter here.
"Auto disable at": you can define the account's expired time.


Web Filter

Web filter includes site filter and content filter.
"Account"-> "Web Filter"
You can define different web filter rules here.
"Web Filter Name": input different web filter name to label different web filter rule. The web filter name will be used in account setting for every user.

Site Filter
"Site Filter": input multiple sites for filtering in the edit box. A semicolon can divide sites. The site filter supports wildcard characters (*, ?). E.g. *.yahoo.com;???.hotmail.com;www..org
Click the "..." button and you can select a text file as web filter rules. The file format is one web filter rule per line. For example -
*.yahoo.com;
*.hotmail.com
*.msn.com;*.google.com

"Permitted Sites", "Forbidden Sites": determines whether filtered sites are permitted or forbidden.

Forbidden URL
"Forbidden URL": input multiple items for filtering in edit box. A semicolon can divide items. URL filter supports wildcard characters (*, ?). E.g. .zip;.exe will forbid clients from downloading zip and exe files.

Forbidden Content
This function can filter web pages including specific words.
"Forbidden Content": input key words that typically represent the content of web site. Words should be divided by semicolon. E.g. chat; travel.


Time Schedule

Time schedule is used to set the time range in which client are permitted to access the Internet.
"Account"-> "Time Schedule": defines different time schedule.

"Time Schedule Name": input a different time schedule name to identify different time schedules. The time schedule name will be used in the account settings for the users.
"Sunday" to "Saturday": These are used to set different time schedules for accessing the Internet on workdays. You can set the time directly in the edit box.
"Starting time-ending time" denotes time range. Different time ranges are connected by "+".

You can also click the button next to the edit box. Popup dialog box "Time Table". You can set specific time ranges for each workday.
There are 24 time ranges in "Time Table".
If choose "01:00", this denotes the range from 00:00 to 01:00 within which Internet access is permitted.
"Apply To": Means this time schedule only applies to selected services.

How to Use Time Control on Accounts

First, go to "Account"-> "Time Schedule" and define different "time schedule" rules. Then select and edit the account you want to use time control. In the account property dialog box, select predefined "Time schedule".


Dial-up Service

Dial service of CCProxy supports remote dial-up, auto dial-up, and idle dial-up auto disconnect.

Remote dial-up

1) Manually set up a dial-up connection on server. Test whether this connection is effective.
2) In "Options", choose "Remote dial-up".
3) "Options"-> "Advanced"-> "Dial"
In "Dial Entries" choose the connection you set up in step (1). Fill the right account info in "Dial user name" and "Dial password" respectively.

Auto dial-up

1) In "Options", choose " Remote Dial-up"
2) "Options"-> "Advanced"-> "Dial"
Choose "Auto Dial-up Enabled". Then check the related proxy protocol to realize auto dial-up.

Idle dial-up auto disconnect

1) In "Options", choose "Remote Dial-up"
2) "Options"-> "Advanced"->"Dial"
Choose " Idle dialup auto disconnect". Input the idle time in edit box.


Logs

"Options"-> "Advanced"-> "Log"
In "Save Logs to File", choose the target file directory you want to save logs.
In "Log Session Selection", log session keeps a basic record of time, username, IP address and visit type. More detailed info will be kept also.
"Request URL" keeps a log of websites that users visit via browser.
"Picture Info" Keeps pictures log records. If you uncheck this option, CCProxy will omit the pictures log records.
"Web Title Info" Keeps the http access's web title.

"Enable Flowstat": CCProxy will compute every user's flow every ten minutes and generate a txt file under the log category. By clicking "Flowstat", you can check the flow analysis of the day. The saving format of file is: username\tbytes received\tbytes sent\r\n.


Online Monitor

1. The green grids on the main interface refers to the connection statistics. The green curve means total connections and the yellow one means total bandwidth.
2. Double click the green grids on the main interface, it will popup a dialog box and you can monitor the connection status of current users.
3. On this dialog box, there is an Icon. Double this icon and you will monitor user with different type.


Web Cached

This function can save the visited web pages in cache. In the specified period of time, when users want to visit the same web page they've browsed, this web page can be loaded from cache directly. Therefore greatly improves surfing speed on the Internet.

1) In "Options", choose "Web Cached"
2) "Options"-> "Advanced"-> "Cache"
"Always Load from Cache": means don't update cache. CCProxy always loads web page data from the cache of IE. This function is very useful when user disconnects from the Internet but still wants to browse web pages on the client.
"Cache Update Time (minutes)": this is used for setting the update time of the cache. The longer the update time, the longer the data in the cache can be kept.
"IE Cache Options": because CCProxy shares its cache with IE's cache. The size and category of the cache should be revised via IE. Hit this button, popup Internet properties IE's dialog box. In "Internet Temporary Files", click button "Settings". You can then revise the size and category of cache.


Cascading Proxy

You need to use a cascading proxy when your server can't access the Internet directly. In this case, you will have to use another proxy server to access Internet.
1) Before using a cascading proxy, you need to identify the address, protocols, and ports of upper proxy server and whether authentication is needed.
2)"Options"-> "Advanced"-> "Cascading Proxy"-> Choose "Enable Cascading Proxy".
"Proxy Address": fill in the address of upper proxy server.
"Proxy Protocol": Cascading proxy of CCProxy supports HTTP, HTTPS, and SOCKS5 protocols. This means that, once any of these three protocols is valid for local server, the upper proxy server can work as cascading proxy.
Note: When choose HTTP as cascading proxy protocol, you can only visit web pages. But if you choose HTTPS or SOCKS5 as the cascading protocol, you can proxy for web browsing, receiving mails, CuteFTP etc. However, some functions of ICQ or sending mails will be limited.
"Need Authorization": When the upper proxy server needs authorization, you need to select this option. Enter relative authorization info in the "User Name" and "Password" fields.


Other Configurations

Local IP address:
"Options"-> "Local IP address": refers to the IP address of the server used to connect to the machines on the LAN.
In the case of "single network card + dialup connection" or "single network card connected to LAN + single network card connected to Internet", local IP address can be detected automatically.
In other cases you need to uncheck "Auto Detect" and choose a local IP address binding with the server from the IP list.

NT Service:
This switch allows CCProxy to run as an NT service.

"Options"-> "Advanced"-> "Miscellaneous"
"Password Protection": this is used to set the administrator's password.
"Web Sites for On-line Checking": these sites are used to find whether the local server is connected to the Internet. Semicolons divide different sites.
"Socket Idle Disconnect Minutes": you can set the idle time interval of the socket before disconnection.
"Disable External User": this is to prevent other users on the Internet from using CCProxy to access Internet.
"Enable SOCKS4": switch to enable SOCKS4 in socks proxy.


FAQs and Feedback

FAQs: http://www.youngzsoft.net/ccproxy/faq.htm
Feedback: http://www.youngzsoft.net/support.htm


Contact

support@youngzsoft.net
Please read the FAQ and email to us if you have additional questions or problems.

sales@youngzsoft.net
Currently our products are only distributed on the Internet. If you are interested in exchanging links with us, or would like to help us with physical distribution, promotion in software compilations, or business cooperation, kindly let us know! We are open to various levels of cooperation.

Homepage: http://www.youngzsoft.net
How to Purchase: http://www.youngzsoft.net/user.htm


CCProxy Help

CCProxy, Youngzsoft 2000-2006

http://www.youngzsoft.net

Updated on 2006.06.17